
Foreman - Feature #6899

Make the CA certificate read-write in oVirt

08/04/2014 04:46 AM - Lukas Zapletal

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Add (javascript only) checkbox to disable read only mode. No changes on the database level needed.

History

#1 - 08/04/2014 04:58 AM - Ohad Levy

you need to ensure the value is present and not overwritten, i had to manually update the field every time (after removing the disable attribute) to

make it work, as each AJAX action reset the value the previous ca values (that comes from ovirt).

#2 - 08/04/2014 05:08 AM - Lukas Zapletal

IMHO overwriting the cert when you click on Load datacenters is broken by design. We should only set it when the field is empty (the initial setup) and

add an extra button to explicitly fetch the certificate when it is already present.

#3 - 12/31/2019 08:54 AM - Shira Maximov

- Tracker changed from Bug to Feature
